Subject: Re: [PATCH] Don't create nested target directories automatically

From: Sergey Matveev <[email-masked]>
Date: Fri, 15 Apr 2022 19:23:22 +0300

*** Andrew Chambers [2022-04-15 18:49]:
>What you are describing is incompatible with apenwarr redo and redo-c. Those
>do not create the directories so any do file that takes advantage of this is
>not portable.

Neither goredo, nor redo-c, not apenwarr/redo (as far as I remember)
explicitly tell how they behave with missing directories. So that can be
treated as an undefined behaviour. So portable .do-files just must not
rely on undefined behaviour. If someone explicitly expects for
directories to be created in his project, then he should explicitly
write that "mkdir -p" rule in his .do file and do not rely on some
undocumented sife-effects of some implementations (goredo). Portable and
correctly written .do files will behave the same way on all those three
implementations.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF